// FormDlg.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "resource.h"
#include "FormDlg.h"
#include "TestUSB.h"
#include "usb2550.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFormDlg _CAO


CFormDlg::CFormDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFormDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFormDlg)
		//  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	//}}AFX_DATA_INIT

	//Vendor IDProduct IDwI
	strcpy(vid_pid,"vid_08da&pid_ff0c");
	strcpy(in_pipe,"\\MCHP_EP1");
	strcpy(out_pipe,"\\MCHP_EP1");

    myInPipe = MPUSBOpen(0,vid_pid,in_pipe,MP_READ,0);	
	myOutPipe = MPUSBOpen(0,vid_pid,out_pipe,MP_WRITE,0);

    if(myOutPipe == INVALID_HANDLE_VALUE || myInPipe == INVALID_HANDLE_VALUE)
		MessageBox("USB cannot be open!",NULL,MB_OK);
}

CFormDlg::~CFormDlg()
{
}


void CFormDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFormDlg)
                //  - ClassWizard ͂̈ʒuɃ}bsOp̃}Nǉ܂͍폜܂B
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFormDlg, CDialog)
	//{{AFX_MSG_MAP(CFormDlg)
	ON_BN_CLICKED(IDC_SEND, OnSend)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFormDlg bZ[W nh

void CFormDlg::OnSend() 
{
	DWORD SentLength,RecvLength;

	for(int i=0;i<10;i++) buf[i]=0;
	GetDlgItemText(IDC_WRITE, buf,9 );
	MPUSBWrite(myOutPipe,buf,64,&SentLength,1000);
	for(i=0;i<10;i++) buf[i]=0;
	MPUSBRead(myInPipe,buf,64,&RecvLength,1000);
	SetDlgItemText( IDC_READ, buf);
}

void CFormDlg::OnOK() 
{
}

void CFormDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	MessageBox("In the case of USB Ver1.1 port:\nTurn off the power supply or disconnect the USB cable.\nIf you do this after finishing the program, you cannot reopen USB communication\nuntil you reboot your PC.",NULL,MB_OK);
	MPUSBClose(myOutPipe);
	MPUSBClose(myInPipe);
	
}
